incubator-cassandra-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Maki Watanabe <watanabe.m...@gmail.com>
Subject Re: problems getting started with Cassandra & Ruby
Date Tue, 12 Apr 2011 08:04:02 GMT
Hello Mark,

Disable verbose mode (-w or $VERBOSE) of ruby.
Or, you can cleanup ruby thrift library by yourself.


2011/4/12 Mark Lilback <mlilback@stat.wvu.edu>:
> I'm trying to connect to Cassandra from a Ruby script. I'm using rvm, and made a clean
install of Ruby 1.9.2 and then did "gem install cassandra". When I run a script that just
contains "require 'cassandra/0.7'", I get the output below. Any suggestion on what I need
to do to get rid of these warnings?
>
>
> /Users/admin/.rvm/gems/ruby-1.9.2-p180/gems/thrift-0.5.0/lib/thrift/server/nonblocking_server.rb:80:
warning: `&' interpreted as argument prefix
> /Users/admin/.rvm/gems/ruby-1.9.2-p180/gems/thrift-0.5.0/lib/thrift_native.bundle: warning:
method redefined; discarding old skip
> /Users/admin/.rvm/gems/ruby-1.9.2-p180/gems/thrift-0.5.0/lib/thrift/protocol/base_protocol.rb:235:
warning: previous definition of skip was here
(snip)
>
> --
> Mark Lilback
> West Virginia University Department of Statistics
> mlilback@stat.wvu.edu
>
>
>



-- 
w3m

Mime
View raw message